twitter4j

## Class HttpClientBase

- java.lang.Object
- - twitter4j.HttpClientBase

All Implemented Interfaces:
  Serializable, HttpClient

    public abstract class HttpClientBase
    extends Object
    implements HttpClient, Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HttpClientBase(HttpClientConfiguration conf)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addDefaultRequestHeader(String name, String value)`
`HttpResponse` `delete(String url)`
`HttpResponse` `delete(String url, HttpParameter[] parameters, Authorization authorization, HttpResponseListener listener)`
`HttpResponse` `get(String url)`
`HttpResponse` `get(String url, HttpParameter[] parameters, Authorization authorization, HttpResponseListener listener)`
`Map<String,String>` `getRequestHeaders()`
`HttpResponse` `head(String url)`
`HttpResponse` `post(String url)`
`HttpResponse` `post(String url, HttpParameter[] parameters, Authorization authorization, HttpResponseListener listener)`
`HttpResponse` `put(String url)`
`HttpResponse` `put(String url, HttpParameter[] parameters, Authorization authorization, HttpResponseListener listener)`
`HttpResponse` `request(HttpRequest req)`
`HttpResponse` `request(HttpRequest req, HttpResponseListener listener)`
`void` `write(DataOutputStream out, String outStr)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpClientBase

    public HttpClientBase(HttpClientConfiguration conf)

### Method Detail

#### write

    public void write(DataOutputStream out,
                      String outStr)
               throws IOException

Throws:
  `IOException`

#### getRequestHeaders

    public Map<String,String> getRequestHeaders()

Specified by:
  `getRequestHeaders` in interface `HttpClient`

#### addDefaultRequestHeader

    public void addDefaultRequestHeader(String name,
                                        String value)

Specified by:
  `addDefaultRequestHeader` in interface `HttpClient`

#### request

    public final HttpResponse request(HttpRequest req)
                               throws TwitterException

Specified by:
  `request` in interface `HttpClient`
Throws:
  `TwitterException`

#### request

    public final HttpResponse request(HttpRequest req,
                                      HttpResponseListener listener)
                               throws TwitterException

Specified by:
  `request` in interface `HttpClient`
Throws:
  `TwitterException`

#### get

    public HttpResponse get(String url,
                            HttpParameter[] parameters,
                            Authorization authorization,
                            HttpResponseListener listener)
                     throws TwitterException

Specified by:
  `get` in interface `HttpClient`
Throws:
  `TwitterException`

#### get

    public HttpResponse get(String url)
                     throws TwitterException

Specified by:
  `get` in interface `HttpClient`
Throws:
  `TwitterException`

#### post

    public HttpResponse post(String url,
                             HttpParameter[] parameters,
                             Authorization authorization,
                             HttpResponseListener listener)
                      throws TwitterException

Specified by:
  `post` in interface `HttpClient`
Throws:
  `TwitterException`

#### post

    public HttpResponse post(String url)
                      throws TwitterException

Specified by:
  `post` in interface `HttpClient`
Throws:
  `TwitterException`

#### delete

    public HttpResponse delete(String url,
                               HttpParameter[] parameters,
                               Authorization authorization,
                               HttpResponseListener listener)
                        throws TwitterException

Specified by:
  `delete` in interface `HttpClient`
Throws:
  `TwitterException`

#### delete

    public HttpResponse delete(String url)
                        throws TwitterException

Specified by:
  `delete` in interface `HttpClient`
Throws:
  `TwitterException`

#### head

    public HttpResponse head(String url)
                      throws TwitterException

Specified by:
  `head` in interface `HttpClient`
Throws:
  `TwitterException`

#### put

    public HttpResponse put(String url,
                            HttpParameter[] parameters,
                            Authorization authorization,
                            HttpResponseListener listener)
                     throws TwitterException

Specified by:
  `put` in interface `HttpClient`
Throws:
  `TwitterException`

#### put

    public HttpResponse put(String url)
                     throws TwitterException

Specified by:
  `put` in interface `HttpClient`
Throws:
  `TwitterException`